package com.ruoyi.project.religion.place.domain;

import java.math.BigDecimal;
import java.util.Date;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.annotation.Excel.ColumnType;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 宗教活动场所对象 religion_place
 * 
 * @author ruoyi
 */
public class ReligionPlace extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 场所ID */
    private Long placeId;

    /** 场所名称 */
    @Excel(name = "场所名称")
    private String placeName;

    /** 宗教类别 */
    @Excel(name = "宗教类别")
    private String religionType;

    /** 场所类别（寺/观/清真寺/教堂等） */
    @Excel(name = "场所类别")
    private String placeCategory;

    /** 所属区县 */
    @Excel(name = "所属区县")
    private String county;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String address;

    /** 负责人姓名 */
    @Excel(name = "负责人姓名")
    private String chargeName;

    /** 负责人联系电话 */
    @Excel(name = "负责人电话")
    private String chargePhone;

    /** 场所占地面积（平方米） */
    @Excel(name = "占地面积", cellType = ColumnType.NUMERIC)
    private BigDecimal placeArea;

    /** 建筑面积（平方米） */
    @Excel(name = "建筑面积", cellType = ColumnType.NUMERIC)
    private BigDecimal buildingArea;

    /** 批准设立机关 */
    @Excel(name = "批准设立机关")
    private String approveOrgan;

    /** 批准设立时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "批准设立时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date approveTime;

    /** 登记机关 */
    @Excel(name = "登记机关")
    private String regOrgan;

    /** 登记证号 */
    @Excel(name = "登记证号")
    private String regNo;

    /** 登记时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "登记时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date regTime;

    /** 是否具有法人资格：0否1是 */
    @Excel(name = "是否具有法人资格", readConverterExp = "0=否,1=是")
    private Integer legalQualified;

    /** 法人资格取得时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "法人资格取得时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date legalTime;

    /** 统一社会信用代码 */
    @Excel(name = "统一社会信用代码")
    private String creditCode;

    /** 经度 */
    @Excel(name = "经度", cellType = ColumnType.NUMERIC)
    private BigDecimal longitude;

    /** 纬度 */
    @Excel(name = "纬度", cellType = ColumnType.NUMERIC)
    private BigDecimal latitude;

    public void setPlaceId(Long placeId) 
    {
        this.placeId = placeId;
    }

    public Long getPlaceId() 
    {
        return placeId;
    }

    public void setPlaceName(String placeName) 
    {
        this.placeName = placeName;
    }

    public String getPlaceName() 
    {
        return placeName;
    }

    public void setReligionType(String religionType) 
    {
        this.religionType = religionType;
    }

    public String getReligionType() 
    {
        return religionType;
    }

    public void setPlaceCategory(String placeCategory) 
    {
        this.placeCategory = placeCategory;
    }

    public String getPlaceCategory() 
    {
        return placeCategory;
    }

    public void setCounty(String county) 
    {
        this.county = county;
    }

    public String getCounty() 
    {
        return county;
    }

    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }

    public void setChargeName(String chargeName) 
    {
        this.chargeName = chargeName;
    }

    public String getChargeName() 
    {
        return chargeName;
    }

    public void setChargePhone(String chargePhone) 
    {
        this.chargePhone = chargePhone;
    }

    public String getChargePhone() 
    {
        return chargePhone;
    }

    public void setPlaceArea(BigDecimal placeArea) 
    {
        this.placeArea = placeArea;
    }

    public BigDecimal getPlaceArea() 
    {
        return placeArea;
    }

    public void setBuildingArea(BigDecimal buildingArea) 
    {
        this.buildingArea = buildingArea;
    }

    public BigDecimal getBuildingArea() 
    {
        return buildingArea;
    }

    public void setApproveOrgan(String approveOrgan) 
    {
        this.approveOrgan = approveOrgan;
    }

    public String getApproveOrgan() 
    {
        return approveOrgan;
    }

    public void setApproveTime(Date approveTime) 
    {
        this.approveTime = approveTime;
    }

    public Date getApproveTime() 
    {
        return approveTime;
    }

    public void setRegOrgan(String regOrgan) 
    {
        this.regOrgan = regOrgan;
    }

    public String getRegOrgan() 
    {
        return regOrgan;
    }

    public void setRegNo(String regNo) 
    {
        this.regNo = regNo;
    }

    public String getRegNo() 
    {
        return regNo;
    }

    public void setRegTime(Date regTime) 
    {
        this.regTime = regTime;
    }

    public Date getRegTime() 
    {
        return regTime;
    }

    public void setLegalQualified(Integer legalQualified) 
    {
        this.legalQualified = legalQualified;
    }

    public Integer getLegalQualified() 
    {
        return legalQualified;
    }

    public void setLegalTime(Date legalTime) 
    {
        this.legalTime = legalTime;
    }

    public Date getLegalTime() 
    {
        return legalTime;
    }

    public void setCreditCode(String creditCode) 
    {
        this.creditCode = creditCode;
    }

    public String getCreditCode() 
    {
        return creditCode;
    }

    public void setLongitude(BigDecimal longitude) 
    {
        this.longitude = longitude;
    }

    public BigDecimal getLongitude() 
    {
        return longitude;
    }

    public void setLatitude(BigDecimal latitude) 
    {
        this.latitude = latitude;
    }

    public BigDecimal getLatitude() 
    {
        return latitude;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("placeId", getPlaceId())
            .append("placeName", getPlaceName())
            .append("religionType", getReligionType())
            .append("placeCategory", getPlaceCategory())
            .append("county", getCounty())
            .append("address", getAddress())
            .append("chargeName", getChargeName())
            .append("chargePhone", getChargePhone())
            .append("placeArea", getPlaceArea())
            .append("buildingArea", getBuildingArea())
            .append("approveOrgan", getApproveOrgan())
            .append("approveTime", getApproveTime())
            .append("regOrgan", getRegOrgan())
            .append("regNo", getRegNo())
            .append("regTime", getRegTime())
            .append("legalQualified", getLegalQualified())
            .append("legalTime", getLegalTime())
            .append("creditCode", getCreditCode())
            .append("longitude", getLongitude())
            .append("latitude", getLatitude())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}


